Name: sflphone
Summary: VoIP client
Version: 0.8
Release: alt2
License: GPL
Group: Communications
URL: http://www.sflphone.org/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: http://www.sflphone.org/releases/%name-%version.tar.bz2

Source1: sflphone-ico.png
Source2: sflphone-icons.tar.bz2

Patch0: sflphone-0.8.0-alt-build.patch

# Automatically added by buildreq on Sat Apr 19 2008
BuildRequires: doxygen libalsa-devel libavahi-devel libavformat-devel libccrtp-devel libdbus-c++-devel
BuildRequires: libeXosip2-devel libgsm-devel libgtkglext-devel libnotify-devel libosip2-devel
BuildRequires: libreadline-devel libsamplerate-devel libspeex-devel

%description
SFLPhone is a Voice-over-IP software phone. We want it to be:
- user friendly (fast, sleek, easy to learn interface)
- corporate grade (transfers, holds, perfect audio quality)
- fully compatible with Asterisk (SIP and IAX protocols)
- customizable

As the SIP/audio daemon and the user interface are separate processes,
it is easy to provide different user interfaces. SFLPhone0.8 comes with
a GTK graphical user interface, an interactive command line interface,
and even scripts to control the daemon from the shell.

SFLPhone is actually used by the support team of Savoir-Faire Linux Inc.

%prep
%setup -q

%patch0 -p1

install -m644 %SOURCE1 sflphone-gtk/pixmaps/%name.png

%build
%add_optflags %optflags_shared
%autoreconf
%configure \
    --without-iax2
%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_iconsdir
tar -xjf %SOURCE2 -C %buildroot%_iconsdir

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_libdir/%name
%_desktopdir/*.desktop
%_datadir/dbus-1/services/org.sflphone.SFLphone.service
%_pixmapsdir/*.png
%_datadir/%name
%_iconsdir/hicolor/*/apps/%name.png

%changelog
* Mon Apr 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt2
- rebuild with libosipparser2.so.3

* Sat Apr 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt1
- 0.8 beta

* Wed Mar 12 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.7.2-alt3
- rebuild with libccrtp-1.6.0

* Wed Aug 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.7.2-alt2
- rebuild with libosip2-3.0.3 & libeXosip2-3.0.3

* Wed Jan 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.7.2-alt1
- 0.7.2

* Fri Sep 22 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.7.0-alt1
- initial build

